## com.thingmagic
Class LoadSaveConfiguration

    java.lang.Object
      com.thingmagic.LoadSaveConfiguration

    public class LoadSaveConfiguration

extends java.lang.Object

Field Summary
`java.util.List<java.lang.String>` `booleanParameters`
`java.util.List<java.lang.String>` `readOnlyParameters`

Constructor Summary
`LoadSaveConfiguration()`

Method Summary
`void` `addbooleanParameters()`
`void` `addEnumClasses()`
`java.lang.String` `formatReadPlan(java.lang.Object value)`
`java.lang.String` `formatValue(java.lang.Object obj)`
`java.util.Map<java.lang.String,java.lang.String>` `getParametersToSave(Reader r)`
`void` `loadConfiguration(java.lang.String filePath, Reader r)`
`java.lang.Object` `parseBool(java.lang.String value)`
`java.lang.Object` `parseReaderStats(java.lang.String value)`
`ReadPlan` `parseSimpleReadPlan(java.lang.String value)`
`java.lang.Object` `parseValue(java.lang.String value)`
`java.lang.Object` `parseValue(java.lang.String param, java.lang.String value)`
`void` `rollBackConfigData(Reader r, java.lang.String filePath)`
`void` `saveConfiguration(java.lang.String filePath, Reader r, java.util.List<java.lang.String> readOnly)`
`java.lang.String` `saveSimpleReadPlan(ReadPlan rp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### booleanParameters

    public java.util.List<java.lang.String> booleanParameters

### readOnlyParameters

    public java.util.List<java.lang.String> readOnlyParameters

Constructor Detail

### LoadSaveConfiguration

    public LoadSaveConfiguration()

Method Detail

### loadConfiguration

    public void loadConfiguration(java.lang.String filePath,
                                  Reader r)
                           throws ReaderException

  Throws:
    `ReaderException`

### rollBackConfigData

    public void rollBackConfigData(Reader r,
                                   java.lang.String filePath)
                            throws ReaderException,
                                   java.io.IOException

  Throws:
    `ReaderException`
    `java.io.IOException`

### addbooleanParameters

    public void addbooleanParameters()

### addEnumClasses

    public void addEnumClasses()

### parseValue

    public java.lang.Object parseValue(java.lang.String param,
                                       java.lang.String value)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseReaderStats

    public java.lang.Object parseReaderStats(java.lang.String value)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseValue

    public java.lang.Object parseValue(java.lang.String value)

### parseBool

    public java.lang.Object parseBool(java.lang.String value)

### parseSimpleReadPlan

    public ReadPlan parseSimpleReadPlan(java.lang.String value)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveConfiguration

    public void saveConfiguration(java.lang.String filePath,
                                  Reader r,
                                  java.util.List<java.lang.String> readOnly)
                           throws ReaderException

  Throws:
    `ReaderException`

### getParametersToSave

    public java.util.Map<java.lang.String,java.lang.String> getParametersToSave(Reader r)
                                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### formatValue

    public java.lang.String formatValue(java.lang.Object obj)

### formatReadPlan

    public java.lang.String formatReadPlan(java.lang.Object value)

### saveSimpleReadPlan

    public java.lang.String saveSimpleReadPlan(ReadPlan rp)